Click or drag to resize

PlaneSurfaceCreateThroughBox Method (Line, Vector3d, BoundingBox)

Makes a plane that includes a line and a vector and goes through a bounding box.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static PlaneSurface CreateThroughBox(
	Line lineInPlane,
	Vector3d vectorInPlane,
	BoundingBox box
)

Parameters

lineInPlane
Type: Rhino.GeometryLine
A line that will lie on the plane.
vectorInPlane
Type: Rhino.GeometryVector3d
A vector the direction of which will be in plane.
box
Type: Rhino.GeometryBoundingBox
A box to cut through.

Return Value

Type: PlaneSurface
A new plane surface on success, or null on error.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also